﻿/*
Thor Server 2.0 Project - Codenamed "Stockholm"
Copyright 2008 - 2009 Joe Hegarty


This file is part of The Thor Server 2.0 Project - Codenamed "Stockholm".

The Thor Server 2.0 Project - Codenamed "Stockholm" is free software: you can 
redistribute it and/or modify it under the terms of the Microsoft Public License

The Thor Server Project is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
Microsoft Public License for more details.

You should have received a copy of the Microsoft Public License
along with The Thor Server Project.  If not, see 
http://www.opensource.org/licenses/ms-pl.html
*/

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace StockholmLibrary.Game
{
    public class GameConstants
    {
        public const string CLIENT_ALLOWED_SETS_STR = "[100,105,110,115,120,125,130,135,140,145,150,155,160,165,170,175,176,177,178,180,185,190,195,200,205,206,207,210,215,220,225,230,235,240,245,250,255,260,265,266,267,270,275,280,281,285,290,295,300,305,500,505,510,515,520,525,530,535,540,545,550,555,565,570,575,580,585,590,595,596,600,605,610,615,620,625,626,627,630,635,640,645,650,655,660,665,667,669,670,675,680,685,690,695,696,700,705,710,715,720,725,730,735,740,800,801,802,803,804,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873]";

        public const int USER_DEFAULT_ROLEID = 1;
        public const string USER_DEFAULT_MOTTO = "Stockholm";
        public const int USER_DEFAULT_CREDITS = 10;
        public const int USER_DEFAULT_TICKETS = 0;
        public const int USER_DEFAULT_FILM = 0;
		
        public const int ROOM_DEFAULT_WALLPAPER = 201;
        public const int ROOM_DEFAULT_FLOOR = 101;
        public const int ROOM_DEFAULT_MAXGUESTS = 25;
        public const int ROOM_DEFAULT_CATEGORYID = 5; // This was the fancy Chat & Chill one!
		
        public const int FLAT_PULSE_TIME = 500;

        public const int PLAYER_PHYSICS_OBJECT_ID = 1;
    }
}
