using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Chop.Game.Messages.IDs;
namespace Chop.Game.Messages.Incoming.room.avatar
{
    class DanceMessageComposer: IMessageHandler
    {
        public void Handle(GameClient client, RequestParser parser)
        {
            int danceID = parser.ReadInt32();

            if (danceID < 0 || danceID > 4) // Invalid dance
                return;

            ResponseBuilder message = new ResponseBuilder(OutgoingMessages.DanceMessageEvent);
            message.AppendInt32(client.mRoomUser.mDynamicID);
            message.AppendInt32(danceID);
            client.mRoom.SendMessage(message);
        }
    }
}